net.sf.statcvs.reports

## Class LargestFilesTableReport

- java.lang.Object
- - net.sf.statcvs.reports.LargestFilesTableReport

All Implemented Interfaces:
  TableReport

    public class LargestFilesTableReport
    extends java.lang.Object
    implements TableReport

Table report for a table containing the files with most lines of code

Version:
  $Id: LargestFilesTableReport.java,v 1.8 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

### Constructor Summary

Constructors
Constructor and Description
`LargestFilesTableReport(ReportConfig config, java.util.SortedSet files, int maxRows)` Creates a table containing the largest files from a file list

### Method Summary

Methods
`void` `calculate()` Calculates the report from the source data.
`Table` `getTable()` Returns the table data model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LargestFilesTableReport

    public LargestFilesTableReport(ReportConfig config,
                           java.util.SortedSet files,
                           int maxRows)

Creates a table containing the largest files from a file list

Parameters:
  `files` - a `SortedSet` of `VersionedFile`s
  `maxRows` - the maximum number of files displayed in the table

### Method Detail

#### calculate

    public void calculate()

Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`
See Also:
  `TableReport.calculate()`

#### getTable

    public Table getTable()

Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model
See Also:
  `TableReport.getTable()`